<VirtualHost *:80>
        ServerName {{ domain }}
        ServerAdmin {{ webmaster_email }}
        DocumentRoot {{ onionperf_directory}}

	Alias "/.well-known" "/var/www/html/.well-known"

       <Directory {{ onionperf_directory }}>
        Options Indexes
        Require all granted
       </Directory>

        ErrorLog ${APACHE_LOG_DIR}/error.log
        CustomLog ${APACHE_LOG_DIR}/access.log combined
        RewriteEngine on
        RewriteCond %{SERVER_NAME} ={{ domain }}
        RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]

</VirtualHost>
